org.apache.cassandra.utils.concurrent

## Class Ref.IdentityCollection

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Ref.IdentityCollection

- Enclosing class:
    Ref<T>

      public static class Ref.IdentityCollection
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityCollection(java.util.Set<RefCounted.Tidy> candidates)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Memory memory)`
    `void` | `add(Ref<?> ref)`
    `void` | `add(SelfRefCounted<?> ref)`
    `void` | `add(SharedCloseable ref)`
    `void` | `add(SharedCloseableImpl ref)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentityCollection

          public IdentityCollection(java.util.Set<RefCounted.Tidy> candidates)

  - ### Method Detail

    - #### add

          public void add(Ref<?> ref)

    - #### add

          public void add(SelfRefCounted<?> ref)

    - #### add

          public void add(SharedCloseable ref)

    - #### add

          public void add(SharedCloseableImpl ref)

    - #### add

          public void add(Memory memory)

Copyright © 2018 The Apache Software Foundation